# This file was auto-generated by Fern from our API Definition.

import datetime as dt
import typing

import pydantic

from ..core.datetime_utils import serialize_datetime
from .deployment_read_status_enum import DeploymentReadStatusEnum
from .environment_enum import EnvironmentEnum
from .model_type_enum import ModelTypeEnum


class DeploymentRead(pydantic.BaseModel):
    id: str
    created: str
    label: str = pydantic.Field(description=("A human-readable label for the deployment\n"))
    name: str = pydantic.Field(description=("A name that uniquely identifies this deployment within its workspace\n"))
    status: typing.Optional[DeploymentReadStatusEnum] = pydantic.Field(
        description=("The current status of the deployment\n")
    )
    environment: typing.Optional[EnvironmentEnum] = pydantic.Field(
        description=("The environment this deployment is used in\n")
    )
    model_type: ModelTypeEnum = pydantic.Field(description=("The type of model this deployment serves\n"))
    active_model_version_ids: typing.List[str]
    last_deployed_on: str

    def json(self, **kwargs: typing.Any) -> str:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().json(**kwargs_with_defaults)

    def dict(self, **kwargs: typing.Any) -> typing.Dict[str, typing.Any]:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().dict(**kwargs_with_defaults)

    class Config:
        frozen = True
        json_encoders = {dt.datetime: serialize_datetime}
